# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name gio

%global common_summary Binding to GIO

%global common_description GIO is striving to provide a modern, easy-to-use VFS API that sits at the right level in the library stack.\
The goal is to overcome the shortcomings of GnomeVFS and provide an API that is\
so good that developers prefer it over raw POSIX calls.\
Among other things that means using GObject.\
It also means not cloning the POSIX API, but providing higher-level, document-centric interfaces.

Name:           ghc-%{pkg_name}
Version:        0.12.4
Release:        3%{?dist}
Summary:        %{common_summary}

License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-mtl-devel
# End cabal-rpm deps
BuildRequires:  glib2-devel%{?_isa}
BuildRequires:  gtk2hs-buildtools

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# demo files
rm -r $RPM_BUILD_ROOT%{_datadir}/%{pkg_name}-%{version}

%ghc_devel_package
Requires:  glib2-devel%{?_isa}

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files COPYING
%doc demo


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Jens Petersen <petersen@redhat.com> - 0.12.4-2
- update with cabal-rpm

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.12.4-1
- update to 0.12.4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.12.3-3
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.12.3-2
- rebuild

* Tue Mar 20 2012 Jens Petersen <petersen@redhat.com> - 0.12.3-1
- update to 0.12.3

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.12.2-1
- update to 0.12.2 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.12.1-1.3
- rebuild with new gmp without compat lib

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.12.1-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.12.1-1.1
- rebuild with new gmp

* Tue Sep 20 2011 Jens Petersen <petersen@redhat.com> - 0.12.1-1
- update to 0.12.1
- add _isa suffix to gtk2-devel depends (see #723558)

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-5
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.12.0-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 0.12.0-2
- update to cabal2spec-0.22.4

* Tue Nov 30 2010 Jens Petersen <petersen@redhat.com> - 0.12.0-1
- update to 0.12.0
- put the new demo files in doc

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-4
- fix Cabal-1.10 build with ghc7-Gtk2HsSetup-Cabal-1.10.patch

* Wed Sep 29 2010 jkeating - 0.11.1-3
- Rebuilt for gcc bug 634757

* Wed Sep 15 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-2
- add missing mtl dep (#629551)

* Thu Sep  2 2010 Jens Petersen <petersen@redhat.com> - 0.11.1-1
- update to 0.11.1

* Sat Jul 17 2010 Jens Petersen <petersen@redhat.com> - 0.11.0-0
- license is LGPLv2+
- ghc-glib-devel and glib2-devel dependencies
- BR gtk2hs-buildtools

* Sat Jul 17 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
